Page MenuHomePhabricator

Remove autoconf support
ClosedPublic

Authored by beanz on Jan 22 2016, 10:43 AM.

Details

Summary

This patch is provided in preparation for removing autoconf on 1/26. The proposal to remove autoconf on 1/26 was discussed on the llvm-dev thread here: http://lists.llvm.org/pipermail/llvm-dev/2016-January/093875.html

"I felt a great disturbance in the [build system], as if millions of [makefiles] suddenly cried out in terror and were suddenly silenced. I fear something [amazing] has happened."

  • Obi Wan Kenobi

Diff Detail

Repository
rL LLVM

Event Timeline

beanz updated this revision to Diff 45703.Jan 22 2016, 10:43 AM
beanz retitled this revision from to Remove autoconf support.
beanz updated this object.
beanz added a subscriber: llvm-commits.
tstellarAMD accepted this revision.Jan 22 2016, 11:05 AM
tstellarAMD edited edge metadata.

Thank you for taking the lead on this.

This revision is now accepted and ready to land.Jan 22 2016, 11:05 AM
emaste added a subscriber: emaste.Jan 24 2016, 7:45 AM
echristo accepted this revision.Jan 26 2016, 11:56 AM
echristo edited edge metadata.

Thanks for doing the work to get us here!

-eric

whitequark accepted this revision.Jan 26 2016, 12:03 PM
whitequark edited edge metadata.

This breaks the OCaml Kaleidoscope port (assuming it was not broken already, which is unlikely) as I forgot to add CMakeLists for it, but it's long overdue for a near-complete rewrite anyway, so I don't think it matters.

chfast added a subscriber: chfast.Jan 26 2016, 12:11 PM
Closed by commit rL258861: Remove autoconf support (authored by cbieneman). · Explain WhyJan 26 2016, 1:34 PM
This revision was automatically updated to reflect the committed changes.